### Constructor

# Gtk.AppChooserWidget.new

#### Declaration [src]

    GtkWidget*
    gtk_app_chooser_widget_new (
      const char* content_type
    )

#### Description [src]

Creates a new `GtkAppChooserWidget` for applications that can handle content of the given type.

#### Parameters

`content_type` | `const char*`
| the content type to show applications for
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string

#### Return value

Returns: `GtkWidget`
a newly created `GtkAppChooserWidget`
Ownership is not transferred to the caller